package com.tzld.longarticle.recommend.server.repository.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "datastat_sort_strategy")
@IdClass(DatastatSortStrategy.PK.class)
public class DatastatSortStrategy  implements Serializable {

    @Id
    private String dateStr;
    @Id
    private String publishTime;
    @Id
    private String accountName;
    @Id
    private Integer position;

    @Column(name = "account_mode")
    private String accountMode;
    @Column(name = "account_source")
    private String accountSource;
    @Column(name = "account_type")
    private String accountType;
    @Column(name = "account_status")
    private String accountStatus;
    @Column(name = "strategy")
    private String strategy;
    @Column(name = "fans")
    private long fans;
    @Column(name = "view_count")
    private Integer viewCount;
    @Column(name = "avg_view_count")
    private Double avgViewCount;
    @Column(name = "first_view_count")
    private Integer firstViewCount;
    @Column(name = "first_avg_view_count")
    private Double firstAvgViewCount;
    @Column(name = "first_level")
    private Integer firstLevel;
    @Column(name = "fission0")
    private Integer fission0;
    @Column(name = "fission1")
    private Integer fission1;
    @Column(name = "fission2")
    private Integer fission2;
    @Column(name = "read_rate")
    private Double readRate;
    @Column(name = "read_fans_rate")
    private Double readFansRate;
    @Column(name = "first_read_rate")
    private Double firstReadRate;
    @Column(name = "fission0_first_rate")
    private Double fission0FirstRate;
    @Column(name = "fission1_fission0_rate")
    private Double fission1Fission0Rate;
    @Column(name = "fission0_read_avg_rate")
    private Double fission0ReadAvgRate;
    @Column(name = "gh_id")
    private String ghId;
    @Column(name = "title")
    private String title;
    @Column(name = "link")
    private String link;
    @Column(name = "wx_sn")
    private String wxSn;
    @Column(name = "fission0_read_avg_100_rate")
    private Double fission0ReadAvg100Rate;
    @Column(name = "fission0_read_avg_500_rate")
    private Double fission0ReadAvg500Rate;
    @Column(name = "fission0_read_avg_1000_rate")
    private Double fission0ReadAvg1000Rate;


    @Data
    public static class PK implements Serializable {

        @Column(name = "date_str")
        private String dateStr;
        @Column(name = "publish_time")
        private String publishTime;
        @Column(name = "account_name")
        private String accountName;
        @Column(name = "position")
        private Integer position;

        public PK() {
        }


    }
}