package com.tzld.longarticle.recommend.server.service.strategy.reply.impl;

import com.tzld.longarticle.recommend.server.common.enums.cgi.ReplyStrategyServiceEnum;
import com.tzld.longarticle.recommend.server.model.cgi.BucketDataParam;
import com.tzld.longarticle.recommend.server.model.cgi.ReplyBucketData;
import com.tzld.longarticle.recommend.server.service.strategy.reply.ReplyStrategyService;
import org.springframework.stereotype.Service;

@Service
public class BuckStrategyV1 implements ReplyStrategyService {

    /**
     * 实验分桶数量
     */
    private static final Integer bucketNum = 10;

    /**
     * 分桶实验策略，key为策略，arr为对应桶
     * {"base":[0,1,2,3,4,5],"bucketV1":[6,7,8,9]}
     */
    private static final String bucketStrategyConfig = "{\n" +
            "    \"base\": [\n" +
            "        0,\n" +
            "        1,\n" +
            "        2,\n" +
            "        3,\n" +
            "        4,\n" +
            "        5\n" +
            "    ],\n" +
            "    \"bucketV1\": [\n" +
            "        6,\n" +
            "        7,\n" +
            "        8,\n" +
            "        9\n" +
            "    ]\n" +
            "}";

    /**
     * 自动回复使用小程序Id
     */
    private static final String SMALL_APP_Id = "gh_1ee2e1b39ccf";

    @Override
    public ReplyBucketData getResult(BucketDataParam bucketDataParam) {
        // 1 处理文章数据

        // 2 处理小程序数据

        // 2.1 获取小程序落地页地址 http调用 判断如果库里有复用

        // 3 入库读表 组装数据

        // 4 返回
        return null;
    }

    @Override
    public Boolean support(ReplyStrategyServiceEnum key) {
        return ReplyStrategyServiceEnum.BUCKET_STRATEGY_V1.equals(key);
    }
}
